Skip to main content

Get Instance

GET/api/instance/:instance_id

Get an instance by ID.

Request​

Path Parameters

  • instance_idstringrequired

Responses​

Successful Response

application/json

Schema

  • object
    • createdintegerrequired
    • idstringrequired
    • metadataobject

      User provided metadata for the instance

      • Additional propertiesstring
    • networkingobjectrequired
      • http_servicesarray of object
        • Itemsobject
          • auth_modestring

            Allowed values: "none", "api_key"

            Default: "none"

          • namestringrequired
          • portintegerrequired
          • urlstringrequired
      • internal_ipstring | null
    • objectstring

      Value: "instance"

      Default: "instance"

    • refsobjectrequired
      • image_idstringrequired
      • snapshot_idstringrequired
    • specobjectrequired
      • disk_sizeintegerrequired

        Size of the snapshot in megabytes

      • memoryintegerrequired

        Memory of the snaphshot in megabytes

      • vcpusintegerrequired

        VCPU Count of the snaphshot

    • statusstring

      Allowed values: "pending", "ready", "paused", "saving", "error"

      Default: "pending"

    • ttlobjectrequired

      Time to live settings for the instance. If not set, the instance will not expire.

      • ttl_actionstring | null

        Action to take when the instance expires

        Allowed values: "stop", "pause"

      • ttl_expire_atinteger | null

        Unix timestamp of when the instance will expire

      • ttl_secondsinteger | nullrequired

        Time to live in seconds for the instance

    • wake_onobjectrequired

      Wake on settings for the instance. If not set, the instance will not wake on access.

      • wake_on_httpboolean

        Whether to wake the instance on HTTP access

        Default: false

      • wake_on_sshboolean

        Whether to wake the instance on SSH access

        Default: false